#pragma once
#include "InterfaceTemplate.h"

//	リソース名
#define	HTML_RESOURCE_SERVER_RESPONSE		"ServerResponse.html"
#define	HTML_RESOURCE_DIRECTORY_LIST		"DirectoryList.html"


//!	インタフェース宣言
class IServerTextManager;
DEFINE_INTERFACE_NOWRAP(IServerTextManager);

/*!
	サーバが出力するテキストを管理する
	標準のサーバレスポンスなど
*/
class IServerTextManager
{
public:
	virtual ~IServerTextManager(void) {}

	//!	インタフェース取得
	virtual IServerTextManagerPtr GetIServerTextManager() = 0;

	//!	サーバHTMLをロードする
	virtual CString LoadServerHtmlFile(CString name) = 0;

	//!	サーバHTMLをロードする(リソースから)
	virtual CString LoadServerHtmlResource(CString resName) = 0;
};
